# Generated from rubytest-0.8.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rubytest

Name: rubygem-%{gem_name}
Version: 0.8.1
Release: 1%{?dist}
Summary: Ruby Universal Test Harness
License: BSD-2-Clause
URL: http://rubyworks.github.com/rubytest
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(qed)
# BuildRequires: rubygem(ae)
BuildArch: noarch

%description
Rubytest is a universal test harness for Ruby. It can handle any compliant
test framework, even running tests from multiple frameworks in a single pass.
This is the core component of the system, and is the only part strictly
necessary to run tests.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.index
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/demo
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/HISTORY.md
%doc %{gem_instdir}/README.md
%{gem_instdir}/test

%changelog
* Wed Apr 20 2022 mockbuilder - 0.8.1-1
- Initial package
